package ar.edu.unsam.clinicaadelgazamiento.facturacion;

public class ConsultaClinica extends Servicio {

	private Profesional profesional;

	public ConsultaClinica(Profesional profesional) {
		this.profesional = profesional;
	}
	
	@Override
	public double getMonto() {
		return this.profesional.getTarifa();
	}

	public boolean esCara() {
		return this.getMonto() > 300;
	}

	@Override
	public boolean estaIncluidoEn(Plan plan) {
		return plan.incluyeA(this.profesional);
	}
}
