package ar.edu.unsam.clinicaadelgazamiento.facturacion;

public class ReunionGrupal extends Servicio {

	private double tarifa;
	private Profesional profesional;
	
	public Profesional getProfesional() {
		return profesional;
	}

	public void setProfesional(Profesional profesional) {
		this.profesional = profesional;
	}

	public ReunionGrupal(double tarifa) {
		this.tarifa = tarifa;
	}
	
	public double getTarifa() {
		return tarifa;
	}

	@Override
	public double getMonto() {
		return this.getTarifa();
	}

	@Override
	public boolean estaIncluidoEn(Plan plan) {
		return plan.incluyeA(this.profesional);
	}
	
}
